upgrade to 1.5
diff --git a/plugins/org.eclipse.wtp.releng.tools/.classpath b/plugins/org.eclipse.wtp.releng.tools/.classpath
index 2fbb7a2..64c5e31 100644
--- a/plugins/org.eclipse.wtp.releng.tools/.classpath
+++ b/plugins/org.eclipse.wtp.releng.tools/.classpath
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.4"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
diff --git a/plugins/org.eclipse.wtp.releng.tools/.settings/org.eclipse.jdt.core.prefs b/plugins/org.eclipse.wtp.releng.tools/.settings/org.eclipse.jdt.core.prefs
index bbc09e7..16755a2 100644
--- a/plugins/org.eclipse.wtp.releng.tools/.settings/org.eclipse.jdt.core.prefs
+++ b/plugins/org.eclipse.wtp.releng.tools/.settings/org.eclipse.jdt.core.prefs
@@ -1,4 +1,4 @@
-#Fri Nov 20 21:46:23 EST 2009
+#Thu May 06 20:43:09 EDT 2010
 org.eclipse.jdt.core.compiler.problem.missingOverrideAnnotation=ignore
 org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
 org.eclipse.jdt.core.compiler.problem.nullReference=error
@@ -19,14 +19,14 @@
 org.eclipse.jdt.core.compiler.problem.parameterAssignment=ignore
 org.eclipse.jdt.core.compiler.problem.undocumentedEmptyBlock=ignore
 org.eclipse.jdt.core.compiler.problem.deprecation=ignore
-org.eclipse.jdt.core.compiler.source=1.3
+org.eclipse.jdt.core.compiler.source=1.5
 org.eclipse.jdt.core.compiler.problem.finalParameterBound=warning
 org.eclipse.jdt.core.compiler.problem.missingDeprecatedAnnotation=ignore
 org.eclipse.jdt.core.compiler.problem.unusedParameter=ignore
 org.eclipse.jdt.core.compiler.problem.unusedLabel=warning
 org.eclipse.jdt.core.compiler.problem.unnecessaryElse=ignore
 org.eclipse.jdt.core.compiler.problem.missingSerialVersion=warning
-org.eclipse.jdt.core.compiler.compliance=1.4
+org.eclipse.jdt.core.compiler.compliance=1.5
 org.eclipse.jdt.core.compiler.problem.emptyStatement=ignore
 org.eclipse.jdt.core.compiler.problem.unusedParameterWhenImplementingAbstract=disabled
 org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
@@ -37,7 +37,7 @@
 org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
 org.eclipse.jdt.core.compiler.problem.fieldHiding=ignore
 org.eclipse.jdt.core.compiler.problem.possibleAccidentalBooleanAssignment=ignore
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.2
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.5
 org.eclipse.jdt.core.compiler.problem.methodWithConstructorName=warning
 org.eclipse.jdt.core.compiler.problem.deprecationInDeprecatedCode=disabled
 org.eclipse.jdt.core.compiler.problem.suppressWarnings=enabled
diff --git a/plugins/org.eclipse.wtp.releng.tools/META-INF/MANIFEST.MF b/plugins/org.eclipse.wtp.releng.tools/META-INF/MANIFEST.MF
index 2e400ad..8b5fc40 100644
--- a/plugins/org.eclipse.wtp.releng.tools/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.wtp.releng.tools/META-INF/MANIFEST.MF
@@ -5,21 +5,16 @@
 Bundle-Activator: org.eclipse.wtp.releng.tools.Activator
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.1.1.qualifier
-Require-Bundle: org.apache.ant;bundle-version="[1.6.5,2.0.0)",
+Require-Bundle: org.eclipse.core.runtime,
+ org.apache.ant;bundle-version="[1.6.5,2.0.0)",
  org.eclipse.equinox.p2.publisher,
  org.eclipse.equinox.app,
  org.eclipse.equinox.p2.core,
  org.eclipse.osgi,
- org.eclipse.equinox.p2.repository
+ org.eclipse.equinox.p2.repository,
+ org.eclipse.equinox.p2.metadata,
+ org.eclipse.equinox.p2.artifact.repository
 Bundle-Localization: plugin
 Bundle-ClassPath: wtpRelengTools.jar
-Bundle-RequiredExecutionEnvironment: J2SE-1.4
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Export-Package: org.eclipse.wtp.releng.tools
-Import-Package: org.eclipse.core.runtime,
- org.eclipse.equinox.app,
- org.eclipse.equinox.internal.p2.artifact.repository,
- org.eclipse.equinox.internal.p2.artifact.repository.simple,
- org.eclipse.equinox.internal.p2.metadata.repository,
- org.eclipse.equinox.p2.publisher,
- org.eclipse.equinox.p2.repository.artifact,
- org.eclipse.equinox.p2.repository.metadata
diff --git a/plugins/org.eclipse.wtp.releng.tools/src/org/eclipse/wtp/releng/tools/CheckMemory.java b/plugins/org.eclipse.wtp.releng.tools/src/org/eclipse/wtp/releng/tools/CheckMemory.java
new file mode 100644
index 0000000..9041af3
--- /dev/null
+++ b/plugins/org.eclipse.wtp.releng.tools/src/org/eclipse/wtp/releng/tools/CheckMemory.java
@@ -0,0 +1,26 @@
+package org.eclipse.wtp.releng.tools;
+
+
+public class CheckMemory {
+
+    static final float onemeg = 1024 * 1024;
+
+    public static void main(String[] args) {
+
+        new CheckMemory().displayMemory();
+    }
+
+    public void displayMemory() {
+
+        long maxMem = Runtime.getRuntime().maxMemory();
+        long totalMem = Runtime.getRuntime().totalMemory();
+        long freeMem = Runtime.getRuntime().freeMemory();
+        long inUse = totalMem - freeMem;
+        System.out.printf("%n");
+        System.out.printf("%1$20s \t%2$7.2f MB%n", "Max Memory: ", (maxMem / onemeg));
+        System.out.printf("%1$20s \t%2$7.2f MB%n", "Total Memory: ", (totalMem / onemeg));
+        System.out.printf("%1$20s \t%2$7.2f MB%n", "Free Memory: ", (freeMem / onemeg));
+        System.out.printf("%1$20s \t%2$7.2f MB%n", "In Use: ", (inUse / onemeg));
+        System.out.printf("%n");
+    }
+}